# Full-body 3d scanner

## Video

<div class="videoWrapper">
    <!-- Copy & Pasted from YouTube -->
    <iframe width="100%" height="350" src="http://www.youtube.com/embed/IXlLXizfqXg" frameborder="0" allowfullscreen></iframe>
</div>

## Participants

![](http://fabacademy.org/2019/labs/barcelona/machine.mp4)

<div class="container text-center">

<div class="row">

<div class="col-sm-3">
<a href="http://fabacademy.org/2019/labs/barcelona/students/josep-marti">
<img src="images/josep-marti.jpg" class="img-circle" width="180" height="180">
</a>
<h5>Josep Marti</h5>
<br>
</div>

<div class="col-sm-3">
<a href="http://fabacademy.org/2019/labs/barcelona/students/diar-amin">
<img src="images/diar-amin.jpg" class="img-circle" width="180" height="180">
</a>
<h5>Diar Amin</h5>
<br>
</div>

<div class="col-sm-3">
<a href="http://fabacademy.org/2019/labs/barcelona/students/gustavo-deabreu/">
<img src="images/gustavo-deabreu.jpg" class="img-circle" width="180" height="180">
</a>
<h5>Gustavo Henrique de Abreu</h5>
<br>
</div>

</div>

<div class="row">

<div class="col-sm-3">
<a href="http://fabacademy.org/2019/labs/barcelona/students/felipe-santos">
<img src="images/felipe-santos.jpg" class="img-circle" width="180" height="180">
</a>
<h5>Felipe Santos Gomes</h5>
<br>
</div>

<div class="col-sm-3">
<a href="http://fabacademy.org/2019/labs/barcelona/students/juancarlos-rincon/">
<img src="images/juancalos-rincon.jpg" class="img-circle" width="180" height="180">
</a>
<h5>Juan Carlos Rincon Gallardo</h5>
<br>
</div>

<div class="col-sm-3">
<a href="http://fabacademy.org/2019/labs/barcelona/students/alberto-lopez">
<img src="images/alberto-lopez.jpg" class="img-circle" width="180" height="180">
</a>
<h5>Alberto Martínez López</h5>
<br>
</div>

</div>
</div>

## Defining the project

After trying to scan ourselves during the 3D week, we realized how difficult it is to do so without some kind of aid.

A quick research shows that most of the solutions are on the thousands dollars scale. We believe is possible to build a cheaper solution while maintaining the quality of the scan.

To maintain the small price tag, the goal is to develop an adjustable moving head, so we can use an existing kinect, smartphone or a camera to scan the person.

## All ideas

Before start researching we discussed as a group the scope, budget and time limitations. After this we talked about some espontaneous ideas and shared some references. Then we mounted a board with some possible machines:

![](https://i.imgur.com/0gEKkb7.jpg)

## Sushi machine

#### Products on the market

![](https://images-na.ssl-images-amazon.com/images/I/71PZVKyeFGL._SX466_.jpg)

[https://www.youtube.com/watch?v=N9qujcyktrg](https://www.youtube.com/watch?v=N9qujcyktrg)

![](https://i.ytimg.com/vi/x158Zu8pp6A/maxresdefault.jpg)

[https://www.youtube.com/watch?v=x158Zu8pp6A](https://www.youtube.com/watch?v=x158Zu8pp6A)

![](https://images-na.ssl-images-amazon.com/images/I/81brVjDvS%2BL._SX679_.jpg)

![](https://www.sushirobo.com/images/work/rollmaker2.jpg)

[https://www.youtube.com/watch?v=sSfuFzkInDI](https://www.youtube.com/watch?v=sSfuFzkInDI)


#### Process

I believe the ingredients prep is out of the scope. But still there are 4 steps to prepare sushi.

1. Place the nori sheet
2. Spread rice
3. Place ingredients
4. Roll it

The machine doesn't necessarily needs to make all of them, but of course the more the better.


## Kinetic sculptures

#### Origami kinetic sculpture

![](https://i.ytimg.com/vi/5e28J066oGY/maxresdefault.jpg)

https://www.youtube.com/watch?v=5e28J066oGY

This kinetic sculpture was a popular piece in the exhibit titled "Folding Paper: The Infinite Possibilities of Origami" at the BYU Museum of Art. It was designed by mechanical engineering students in the Compliant Mechanisms Research Group using the Offset Panel Technique, a technique co-developed by the BYU CMR and Dr. Robert Lang for accommodating thick materials in origami design. The original pattern is called the square twist and the structure is 8'x8' with 1" thick panels

#### Evolution door

![](https://i.ytimg.com/vi/umfvm8I9_oU/maxresdefault.jpg)

Klemens Torggler's doors are kinetic art objects based on rotating squares. The special invention makes it possible to move the object sideways without the use of tracks.

![](https://www.themethodcase.com/wp-content/uploads/2014/02/klemens-torgglers-rotating-evolution-door-04.gif)

Other works from the artist: http://www.torggler.co.at/main/objects3.html

#### Zimoun's cardboard installations
![](https://www.designboom.com/wp-content/uploads/2013/07/sound-architecture-zimoun-and-scheidler-designboom03.jpg)

https://player.vimeo.com/video/97347144?autoplay=1&loop=1
150 prepared dc-motors
150 cotton balls
60x20x20cm cardboard boxes

Zimoun creates complex kinetic sound sculptures by arranging industrially produced parts according to seemingly simple rules. Using motors, wires, ventilators, etc... He creates closed systems that develop their own behavior similar to artificial creatures. Once running, they are left to themselves and go through an indeterminable process of (de)generation. These quasi autonomous creatures exist in an absolutely synthetic sphere of lifeless matter.
https://www.zimoun.net

#### BMW Museum's kinetic sculpture, by Joachim Sauter
![](https://cartype.com/pics/8111/small/bmw_kinetik.jpg)
https://www.youtube.com/watch?v=6ZFHAZAkL2E

In a 6 sqm large field, 714 metal spheres are suspended from the ceiling on thin steel wires and animated with a help of mechanics, electronics and code.
The topic of the installation is the form-finding process in car design which is performed in a 7 min choreography: At the beginning the installation is in a chaotic state. No form or design idea has yet been found. The spheres move individually creating an impression of a spatial white noise. Slowly the first abstract forms emerge, loosely relating to the later contours of the vehicle. In the following choreography, the succession of competing forms intersect with each other, one displacing the next. Out of this the final shape of the vehicle then emerges. This narrative is repeated, covering the design process of five historical and contemporary cars .
 The project was commissioned by the new BMW museum Munich and realized in conjunction with my friends and colleagues at ART+COM. special mention: Gert Monath, Patrick Kochlik, Simon Schissel, David Siegel, Jussi Ängeslevä and all technicians from MKT, Munich.


#### Clock Prototype: A million times

![](https://images.collection.cooperhewitt.org/265659_7977581848cc4e21_b.jpg)

https://collection.cooperhewitt.org/objects/69155335/

This is a Clock prototype. It was designed by Humans since 1982 (Swedish, founded 2010), Per Emanuelsson (Swedish, b. 1982) and Bastian Bischoff (German, b. 1982).

Its medium is aluminum, electric components, powder-coated clock hands, screen-printed dials.

#### Strandbeest, by Theo Jansen

![](https://strandbeest.com/admin/wp-content/uploads/2019/03/kort_6.mp4)
https://strandbeest.com/admin/wp-content/uploads/2019/03/kort_6.mp4

"Since 1990 I have been occupied creating new forms of life. Not pollen or seeds but plastic yellow tubes are used as the basic material of this new nature. I make skeletons that are able to walk on the wind, so they don’t have to eat. Over time, these skeletons have become increasingly better at surviving the elements such as storm and water and eventually I want to put these animals out in herds on the beaches, and they will live their own lives."
https://www.strandbeest.com

## Automated Light Painting Rig

This idea came from [this](http://www.ebspelman.com/goodby-light-painting) project by Elliot Spelman where a light painting rig is used to make a big advertisement picture on a building's façade. All the images here are from this project.

![](https://i.imgur.com/XaxxhKX.jpg)

The concept is really simple: an addressable led strip that shows a row of pixels each time to form a full image on a picture. The camera must be on *bulb* function to capture the full motion.

![](https://i.imgur.com/QznYdfT.gif)


With a led strip and an Arduino is easy to assemble the rig itself but being able to do the light painting in the right time is a little more complex. You have to be really precise otherwise you end up with a distorted image.

![](https://i.imgur.com/JxRHvhN.gif)

This machine making proposal is about automating the process of walking with the rig to form the image. Maybe with a simple X-Y core and some timing calculations (or a rotary encoder) we can do a system that is automatic and forms the image with precise timing.

## Glow in the dark painting machine

What I propose is to create something similar to the double pendulum and automatize it to create art pieces. Here is the video:

https://www.youtube.com/watch?v=hXOEoH5q3Hw

I think it is an amazing machine and could be pretty easy to make and control as it could read GCode and we can create it using Inkscape really easy. The idea is to make it seem like magic, putting all the mechanism in the back of the panel so people could just see a light point moving and the trace that it follows.

The mechanism behind it can have different shapes:

- A double pendulum as the video with two steppers to control the movement precisely:

![](https://i.imgur.com/79svrF6.png)
![](https://i.imgur.com/4iYxsBP.png)


- A spinning piece that also act like an axis for the pointer to be able to reach all the points of the panel:

![](https://i.imgur.com/ad0FSib.png)
![](https://i.imgur.com/RzjtgQC.png)


- A Core X/Y mechanism to control a 3D printer as we saw in class. This one would be a Square and not a Circle:

![](http://thingiverse-production-new.s3.amazonaws.com/renders/97/af/7e/11/40/c_preview_featured.jpg)

Here are some examples of cool thing done with laser painting in a glow in the dark panel:

![](https://cdn-images-1.medium.com/max/1600/1*OpYPYoWkQmNynF2T41p7mw.jpeg)

![](https://i.ytimg.com/vi/vsHkJCv0h_0/maxresdefault.jpg)

We could also control the amount of light to have like different stroke widths and play with it.

Then we could paint whatever we like to. Also, look at this tinny clock, it's awesome too!

![](https://i1.wp.com/makezine.com/wp-content/uploads/2019/02/coverPhoto-620x465.jpg?resize=620%2C465&ssl=1)

https://makezine.com/projects/glow-in-the-dark-robot-plot-clock/


## A Full body scanner

My Idea is to build a 3D Scanner support to make the fullbody scan I wanted to do in W4.

I prototyped with the laser cutter

![](https://i.imgur.com/xjZDEuO.jpg)
![](https://i.imgur.com/wyrwL7K.jpg)
![](https://i.imgur.com/1bfBmLD.jpg)
![](https://i.imgur.com/AcuZXdf.jpg)


NO GLUE, NO SCREWS, NO BUGGERS, NO BUBBLEGUM.

The scanner will have a 3D printer fixture, pulley and will have a counterweight to allow the scanner scan with a controlled free fall, the scanner will then be pulled back on top and the  angle selector will be moved 10º according to the divisions of the base.

The bearing will be made with to concentric pipes

In order to accomplish that I'm going to build a frame for the Kinect on which it will slide down on a counterweight controlled free-fall.

![](https://i.imgur.com/UrPAtVw.jpg)

![](https://i.imgur.com/gaiwtOR.jpg)

![](https://i.imgur.com/IlAfo6N.jpg)

![](https://i.imgur.com/W0qGNBZ.jpg)



The model will be made using PARAMETRIC DESIGN with grasshopper in order to be able to rescale it and adjust it according to the machine tolerances; and made in thin (0.4cm) MDF on a 1:10 scale, cut in W3 with the laser cutter and if it looks alright or when it does, I will make it in real size in W7 with the CNC.

The parametric design proved useful in the laser cutting process as I had designed things to be 1.5 thick and the MDF was 4 (cm, mm are not important in this case, as been parametric multipliers are what matters)

## Future development opportunities

We managed to get a great scan quality using this machine. But of course, there's always firmwares optimizations, better timing the scan itself, smoother movements, etc..

The whole enclosure was only the first iteration, there is still room for improving the packaging of the product. Other than that, some major updates would be:

### Integrate scanner and machine softwares into 1

We need to use two separate softwares to start the motors and the scanner. The ideal solution would be clicking start and doing the whole process automatically.

### Improve cabling / make the machine wireless

For a fully developed machine, we still need to work on cable management to avoid any undesirable incidents. Since the machine requires persons to go in and out, it is desirable to have all the cabling hidden of well contained.

The ideal solution would be have some sort of wireless communication between the two modules and if possible the computer as well. Then reducing the amount of cables in general.

### Include automated support for photogrammetry

The initial idea of the scanner was to be usable with any process of scanning. Including RGBD sensors and regular cameras. With the time given, we were only able to develop and test with the Kinect. But ideally, the machine would have support for placing a DSLR camera and take pictures automatically together with the baseplate spinning. Even better, would be creating the model through photogrammetry automatically as well.
