# Mechanical Design

**group assignment**

- design a machine that includes mechanism+actuation+automation
- build the mechanical parts and operate it manually
- document the group project and your individual contribution

## Research

### Scanning methods

[Stanford paper on State of the Art on 3D Reconstruction with RGB-D Cameras](https://web.stanford.edu/~zollhoef/papers/EG18_RecoSTAR/paper.pdf)

[Source: edge3d](https://www.edge3d.io/what-3d-scanning-types-applications-advantages-and-methods-laser-lidar-contact-based-photogrammetry-triangulation-structured-pulse-light/)

#### LASER triangulation
Advantage of this technology is its resolution and accuracy while the disadvantage is it is sensitive to the properties of the surface that it scans. There could be a problem in scanning a very shinny or transparent surfaces.
#### Structured light
Advantages of this technology are its resolution, speed and this can be used to scan people.
The main disadvantage with the structured lighting 3d scanning is its sensibility to lighting conditions and therefore its difficult to work outside.
#### Photogrammetry
The main advantages of this scanning technology is its precision, acquisition speed and its capability of reconstructing subjects of various scales that are photographed from the ground or air.
#### Contact-based
Advantages with this scanning are its precision and ability to scan reflective or transparent surfaces.
The disadvantages are its speed and inability to work on organic and free-form shapes.

### 3D Model construction

[Skanect](https://skanect.occipital.com)

![](https://skanect.occipital.com/wp-content/themes/responsive/images/skanect-macbook-pro.png)

Free up to 5000 polygons

[ReconstructMe](http://reconstructme.net)

![](https://static.squarespace.com/static/509c281de4b0cd18c7335aab/52f58444e4b0cdc9d87888d0/52f58447e4b0cdc9d8789ca4/1340985048227/1000w/5460178-19018267-thumbnail.jpg)

Free for non-commercial use

[ReCap](https://www.autodesk.com/products/recap/overview)

![](https://3dscanexpert.com/wp-content/uploads/recap_header-1500x820.jpg)

Paid with free trial

[RecFusion](https://www.recfusion.net/index.php/en/)

<iframe width="560" height="315" src="https://www.youtube.com/embed/nMFIsZyQGDI" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

Paid with free trial


### Products on the market

[BIG Alice €80.000](https://3dprintingindustry.com/news/3dcopysystems-3d-full-body-scanner-makes-waves-in-the-fashion-industry-138642/)

![](https://3dprintingindustry.com/wp-content/uploads/2018/08/LAB_003-720x480.v1.jpg)

[Shaper 3D Scanner $4.500](https://shenghuijingmi.en.made-in-china.com/product/MXnxABvhnKkc/China-Full-Body-3D-Scanner-with-High-Precision-and-Fast-Speed.html)

![](https://image.made-in-china.com/43f34j00byQaiCtzagoF/Full-Body-3D-Scanner-with-High-Precision-and-Fast-Speed.jpg)

[GO-3DPrint scanner $1.200](http://www.go-3dprint.com/full-body-3d-scanning-rig-scanner-system-for-rgbd-sensor-kinect-xtion-primesense-carmine-and-all-sensors-compatible-with-skanect/)

![](https://cdn11.bigcommerce.com/s-46ow8d8sb0/images/stencil/1280x1280/products/1638/5829/3d_body_scanning_rig1__09247.1523023407.jpg?c=2&imbypass=on&imbypass=on)

[2019 best 3d body scanners](https://www.aniwaa.com/best-3d-body-scanners/)

![](https://i.imgur.com/GGPghDR.png)

### What was done beforehand

[fuboss 3d scanner](https://www.3ders.org/articles/20151023-3d-printed-selfies-now-easier-than-ever-with-fuboss-full-body-3d-scanning-system.html)

![](https://www.3ders.org/images2015/3d-printed-selfies-easier-ever-developer-creates-fuboss-full-body-scanning-system-1.jpg)

[Portable 3D scanner](https://www.thingiverse.com/thing:393999) / [ReconstructMe](http://reconstructme.net/scanoman-open-source-portable-full-body-scanner/)

![](https://cdn.thingiverse.com/renders/25/f3/0b/fe/2e/scanoman-1-600x800_preview_featured.jpg)

[DIY Scanner](https://www.instructables.com/id/DIY-3D-Body-Scanner-Intro/)

![](https://cdn.instructables.com/FOF/V6ZA/IKSKZJHO/FOFV6ZAIKSKZJHO.LARGE.jpg?auto=webp&width=776)

Here is an scanner with 3 Kinects

[Click here](https://av.dfki.de/projects/density/)

There was the idea to use more than one kinect as we have several available, in the mentioned web an explanation of the challenge is presented.

The cons would be that we want it to be made as many people as possible, asuming that can be done with a phone with camera or one kinect, which is cheapper.

In anny case [here](https://groups.google.com/forum/#!topic/skanect/OGDZWmeXY30) is how it could be done with more than one kinect.

### Working examples

<iframe width="560" height="315" src="https://www.youtube.com/embed/TLFonu92Wn4?start=786" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<iframe width="560" height="315" src="https://www.youtube.com/embed/nn0OhKYg848?start=65" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<iframe width="560" height="315" src="https://www.youtube.com/embed/pWub1k0eZ3U?start=45" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<iframe width="560" height="315" src="https://www.youtube.com/embed/TAv1Y5T1iXc" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<iframe width="560" height="315" src="https://www.youtube.com/embed/4UoiJWlZUpo" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<iframe width="560" height="315" src="https://www.youtube.com/embed/0VG6f8Cm6JU?start=12" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<iframe width="560" height="315" src="https://www.youtube.com/embed/28vrZIj-hYQ?start=486" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<iframe width="560" height="315" src="https://www.youtube.com/embed/6eKOEgXxdUw?start=164" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

Interesting testd with a single Kinect:
<iframe width="560" height="315" src="https://www.youtube.com/embed/GKRHWBS6guM" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

### Scanning objects

*3D scanning apps ranking*:
https://all3dp.com/2/5-best-3d-scanner-apps-for-your-smartphone/

**Qlone**
https://www.qlone.pro

<iframe width="560" height="315" src="https://www.youtube.com/embed/QmfqlJkRPU0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

Scanning app for both iOS and Android devices in real time, even 4K.
Includes AR View with ARKit/ARCore.
Exports in OBJ, STL, USDZ, GLB, PLY, X3D.
For better results, use a scanning mat.


**Capture**
https://itunes.apple.com/us/app/capture-3d-scan-anything/id1444183458?mt=8
<iframe width="878" height="494" src="https://www.youtube.com/embed/XO6Eu89P0Rs" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

**Capture** uses the TrueDepth sensors on X-series iPhones to make crude 3D models of small objects, which you can then plop into different settings through augmented reality or share with other folks through iMessage or other means. Paying, 3D models into PLY and STL files.

## Bearing

DIY thrust bearing

<iframe width="560" height="315" src="https://www.youtube.com/embed/jWaAyS0n-IM" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

[heavy-duty-turntable](https://makezine.com/projects/guide-to-3d-printing-2014/heavy-duty-turntable/)

![](https://i1.wp.com/cdn.makezine.com/uploads/2013/09/scan-o-tron3k_turntable_v2.jpg?zoom=2&resize=620%2C465)

<iframe width="560" height="315" src="https://www.youtube.com/embed/50xEybvQDMk" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>



## Design

NO GLUE, NO SCREWS, NO BUGGERS, NO BUBBLEGUM.

The scanner will have a 3D printer fixture, pulley and will have a counterweight to allow the scanner scan with a controlled free fall, the scanner will then be pulled back on top and the  angle selector will be moved 10º according to the divisions of the base.

The bearing will be made with to concentric pipes

In order to accomplish that I'm going to build a frame for the Kinect on which it will slide down on a counterweight controlled free-fall.

The model will be made using PARAMETRIC DESIGN with grasshopper in order to be able to rescale it and adjust it according to the machine tolerances; and made in thin (0.4cm) MDF on a 1:10 scale, cut in W3 with the laser cutter and if it looks alright or when it does, I will make it in real size in W7 with the CNC.

![](https://i.imgur.com/UrPAtVw.jpg)

In order to define the curvature for the frame, we made a test scan by hand, taking pictures along the way. With them, we created the trajectory of the scanner replicating the line on the design itself.

![](https://i.imgur.com/gaiwtOR.jpg)

![](https://i.imgur.com/IlAfo6N.jpg)

![](https://i.imgur.com/W0qGNBZ.jpg)

## Initial tests

Laser cut prototype

![](https://i.imgur.com/xjZDEuO.jpg)

![](https://i.imgur.com/wyrwL7K.jpg)

![](https://i.imgur.com/1bfBmLD.jpg)

![](https://i.imgur.com/AcuZXdf.jpg)

The parametric design proved useful in the laser cutting process as I had designed things to be 1.5 thick and the MDF was 4 (cm, mm are not important in this case, as been parametric multipliers are what matters)

After cutting the whole frame, we partially assembled it to see the overall look.

![](images/frame_test.jpg)

Work in Progress...
